<?php
/**
 * Template part for displaying Reasons Section on front page template
 *
 * @package Bizindustries
 */
	$bizindustries_animation = get_theme_mod( 'bizindustries_animation_disable') ? 'animate-box':'';
	$section_enable = get_theme_mod('whysec_enable', false);
	$heading = get_theme_mod('why_section_title', __('Why Choose', 'bizindustries'));
	$subheading = get_theme_mod('why_section_subtitle', __('The Reasons', 'bizindustries'));
	$description = get_theme_mod('why_section_desc', __('Top quality services executed by our devoted, yet creative team. We are focused on making you stand out.', 'bizindustries'));
	$reasons = get_theme_mod('bizindustries_reasons');
	if($section_enable) : 
?>
	<!-- Start Why Choose Area -->
	<div class="why-area bg-gray pt115-pb65" id="reasons-section">
		<div class="container">
			
			<?php if(!empty($heading) || !empty($subheading) || !empty($description)) : ?>
			<div class="row"> 
				<div class="col-md-12">
					<!-- Start Section Heading -->
					<div class="section-heading text-center <?php echo esc_attr($bizindustries_animation); ?>"> 
						<?php if(!empty($subheading)) : ?>
						<p class="sub-title"><?php echo esc_html($subheading); ?></p>
						<?php endif; ?>
						
						<?php if(!empty($heading)) : ?>
						<h2><?php echo esc_html($heading); ?></h2>
						<?php endif; ?>
						
						<?php if(!empty($description)) : ?>
						<p class="desc"><?php echo esc_html($description); ?></p>
						<?php endif; ?>
					</div>
					<!-- End Section Heading -->
				</div>
			</div>
			<?php endif; ?>
			
			<?php
			 if($reasons) :
				?>
				<div class="row">
					<?php foreach( $reasons as $reason ){
						$icon         = ( isset( $reason['icon'] ) && $reason['icon'] ) ? $reason['icon'] : '';
						$title        = ( isset( $reason['title'] ) && $reason['title'] ) ? $reason['title'] : '';
						$description  = ( isset( $reason['description'] ) && $reason['description'] ) ? $reason['description'] : '';
					?>
					<div class="col-sm-12 col-md-6 col-lg-3"> 
						<!-- Star Icon Box -->
						<div class="icon-box text-center <?php echo esc_attr($bizindustries_animation); ?>">

							<?php if(!empty($icon)) : ?>
							<div class="icon-holder icon-bg bounce-in br-50"> 
								<i class="fa <?php echo esc_html($icon); ?>" aria-hidden="true"></i>
							</div>
							<?php endif; ?>

							<?php if(!empty($title)): ?>
							<h6><?php echo esc_html($title); ?></h6>
							<?php endif; ?>

							<?php if(!empty($description)): ?>
								<p><?php echo esc_html($description); ?></p>
							<?php endif; ?>

						</div>
						<!-- End Icon Box -->
					</div>
					<?php } ?>
				</div>
			<?php endif; ?>
		</div>
	</div>
<?php endif; ?>