<?php
/**
 * Template part for displaying Product Section on front page template
 *
 * @package Bizindustries
 */
 	$bizindustries_animation = get_theme_mod( 'bizindustries_animation_disable') ? 'animate-box':'';
	$section_enable = get_theme_mod('products_section_enable', false);
	$heading        = get_theme_mod('products_title', __('Our Products', 'bizindustries'));
	$subheading     = get_theme_mod('products_subtitle', __('Explore', 'bizindustries'));
	$description    = get_theme_mod('products_description', __('Top quality services executed by our devoted, yet creative team. We are focused on making you stand out.', 'bizindustries'));
	$products       = get_theme_mod('bizindustries_products');
	
	if($section_enable == true) : 
	?>
	<!-- Start Products Area -->
	<div class="section bg-gray pt115-pb65" id="products-section">
		<div class="container">
			
			<?php if(!empty($heading) || !empty($subheading) || !empty($description)) : ?>
			<div class="row">
				<div class="col-md-12"> 
					<!-- Start Section Heading -->
					<div class="prodcuts-heaings section-heading text-center <?php echo esc_attr($bizindustries_animation); ?>">
						<?php if(!empty($subheading)) : ?>
						<p class="sub-title"><?php echo esc_html($subheading); ?></p>
						<?php endif; ?>
						
						<?php if(!empty($heading)) : ?>
						<h2><?php echo esc_html($heading); ?></h2>
						<?php endif; ?>
						
						<?php if(!empty($description)) : ?>
						<p class="p-desc"><?php echo esc_html($description); ?></p>
						<?php endif; ?>
					</div>
					<!-- End Section Heading -->
				</div>
			</div>
			<?php endif; ?>
			
			<?php
			 if($products) :
				?>
			<div class="row">

				<?php foreach( $products as $product ){
					$image       = ( isset( $product['image'] ) && $product['image'] ) ? $product['image'] : '';
					$title       = ( isset( $product['title'] ) && $product['title'] ) ? $product['title'] : '';
					$description = ( isset( $product['description'] ) && $product['description'] ) ? $product['description'] : '';
					$btn_text    = ( isset( $product['btn_text'] ) && $product['btn_text'] ) ? $product['btn_text'] : '';
					$btn_url     = ( isset( $product['link'] ) && $product['link'] ) ? $product['link'] : '';
					$btn_target  = ( isset( $product['checkbox'] ) && $product['checkbox']) ? '_blank' : '_self';
				?>

				<div class="col-sm-12 col-md-6 col-lg-4">
					<!-- Start image-Box  -->
					<div class="image-box <?php echo esc_attr($bizindustries_animation); ?>">
						<?php
						$product_img = wp_get_attachment_image_src($image, 'bizindustries-product'); 
						if(!empty($product_img)) : ?>
						<img src="<?php echo $product_img[0]; ?>" />
						<?php endif; ?>
						
						<?php if(!empty($title) || !empty($description) ) : ?>
						<div class="img-des text-center">
							
							<?php if(!empty($title)) : ?>
							<h5><?php echo esc_html($title); ?></h5>
							<?php endif; ?>
							
							<?php if(!empty($description)) : ?>
							<p><?php echo esc_html($description); ?></p>
							<?php endif; ?>
							
							<?php if(!empty($btn_url)) : ?>
							<a href="<?php echo esc_url($btn_url); ?>" target="<?php echo esc_attr( $btn_target ); ?>"><?php echo esc_html($btn_text); ?></a>
							<?php endif; ?>

						</div>
						<?php endif; ?>
						
						<?php if(!empty($btn_text)) : ?>
						<a class="plink" href="<?php echo esc_url($btn_url); ?>" target="<?php echo esc_attr( $btn_target ); ?>"><?php echo esc_html($btn_text); ?></a>
						<?php endif; ?>

					</div>
					<!-- End Image Box -->
				</div>
				<?php } ?>
				
			</div>
			<?php endif; ?>
		</div>
	</div>
	<!-- End Product Area -->
<?php endif; ?>