<?php
/**
 * Template part for displaying review Section on front page template
 *
 * @package Bizindustries
 */
 	$bizindustries_animation = get_theme_mod( 'bizindustries_animation_disable') ? 'animate-box':'';
	$reviews_sec_enable = get_theme_mod('reviews_sec_enable', false);
	$heading = get_theme_mod('reviews_heading', __('Reviews', 'bizindustries'));
	$subheading = get_theme_mod('reviews_subheading', __('Client Says', 'bizindustries'));
	$description = get_theme_mod('reviews_description', __('Top quality services executed by our devoted, yet creative team. We are focused on making you stand out.2', 'bizindustries'));
	$carousel_enable = get_theme_mod('reviews_carousel_enable', false);
	$reviewers = get_theme_mod('featured_reviewers');

	if($reviews_sec_enable) : 
	?>
	<!-- Start Testimonials Area -->
	<div class="testimonials-area pt115-pb65" id="review-section">
		<div class="container">
			<?php if(!empty($heading) || !empty($subheading) || !empty($description)) : ?>
			<div class="row"> 
				<div class="col-md-12">
					<!-- Start Section Heading -->
					<div class="section-heading text-center <?php echo esc_attr($bizindustries_animation); ?>"> 
						<?php if(!empty($subheading)) : ?>
						<p class="sub-title"><?php echo esc_html($subheading); ?></p>
						<?php endif; ?>
						
						<?php if(!empty($heading)) : ?>
						<h2><?php echo esc_html($heading); ?></h2>
						<?php endif; ?>
						
						<?php if(!empty($description)) : ?>
						<p class="desc"><?php echo esc_html($description); ?></p>
						<?php endif; ?>
					</div>
					<!-- End Section Heading -->
				</div>
			</div>
			<?php endif; ?>

			<?php
			 if($reviewers) :
			?>
			<div class="row">
				<?php
				if( $carousel_enable == true) echo '<div class="review-carousel owl-carousel carousel-ctls">';
					foreach( $reviewers as $reviewer ){
					$image      = ( isset( $reviewer['image'] ) && $reviewer['image'] ) ? $reviewer['image'] : '';
					$name       = ( isset( $reviewer['name'] ) && $reviewer['name'] ) ? $reviewer['name'] : '';
					$quotation  = ( isset( $reviewer['quote'] ) && $reviewer['quote'] ) ? $reviewer['quote'] : '';
					$position   = ( isset( $reviewer['position'] ) && $reviewer['position'] ) ? $reviewer['position'] : '';
					$about_rating = ( isset( $reviewer['review_about'] ) && $reviewer['review_about'] ) ? $reviewer['review_about'] : '';
				?>
				<div class="col-md-6">
					<!-- Start Testimonial -->
					<div class="tistimonial <?php echo esc_attr($bizindustries_animation); ?>">
						
						<div class="client-pic">
							<?php
							if( $image) echo '<div class="client-face">' . wp_get_attachment_image( $image ) . '</div>';
							?>
						</div>
						<div class="quote-area <?php if(!empty($image)) :?>has-face<?php endif; ?>">
							
							<?php if(!empty($about_rating)): ?>
							<h6><?php echo esc_html($about_rating); ?></h6>
							<?php endif; ?>
							
							<?php if(!empty($quotation)): ?>
							<div class="quote">
								<p><?php echo esc_html($quotation); ?></p>
							</div>
							<?php endif; ?>
							
							<p class="client-name"><strong><?php echo esc_html($name); ?></strong><?php if(!empty($position)) : ?> - <?php endif; echo esc_html($position); ?></p>
							
						</div>
					</div>
					<!-- End Testimonial -->
				</div>
				<?php } 
				if( $carousel_enable == true) echo '</div>'; ?>
			</div>
			<?php endif; ?>
			
		</div>
	</div>
<!-- End Testimonials Area -->
<?php endif; ?>