<?php 
/**
 * Template part for displaying review Section on front page template
 *
 * @package Bizindustries
 */
	$bizindustries_animation = get_theme_mod( 'bizindustries_animation_disable') ? 'animate-box':'';
	$section_enable = get_theme_mod('services_section_enable', false);
	$heading = get_theme_mod('services_section_heading');
	$subheading = get_theme_mod('services_section_subheading');
	$description = get_theme_mod('services_section_desc');
	$description_2 = get_theme_mod('services_section_desc_2');
	$services = get_theme_mod('bizindustries_services');
	$countdowns = get_theme_mod('bizindustries_countdowns');
	$layout = get_theme_mod('services_layout', 'layout-1');
	
	
	if($section_enable) : 
?>
<!-- Start Experiences Area -->
<div class="section pt115-pb65" id="services-section"> 
	<div class="container">
		<?php if($layout == 'layout-1') : ?>
		<div class="row">
			<div class="col-md-12 col-lg-6">
				<div class="intro-content <?php echo esc_attr($bizindustries_animation); ?>"> 
					<?php if(!empty($heading)) : ?>
					<h3><?php echo wp_kses_post($heading); ?></h3>
					<?php endif; ?>
					
					<?php if(!empty($description)) : ?>
					<p class="des-1"><?php echo esc_html($description); ?></p>
					<?php endif; ?>
					
					<?php if(!empty($description_2)) : ?>
					<p class="des-2"><?php echo esc_html($description_2); ?></p>
					<?php endif; ?>
				</div>
				<?php
				if($countdowns) :
					?>
				<div class="countdown-area">
					<div class="row">
						<?php
						foreach( $countdowns as $countdown ){
							$icon         = ( isset( $countdown['icon'] ) && $countdown['icon'] ) ? $countdown['icon'] : '';
							$number        = ( isset( $countdown['number'] ) && $countdown['number'] ) ? $countdown['number'] : '';
							$description  = ( isset( $countdown['description'] ) && $countdown['description'] ) ? $countdown['description'] : '';
							?>
						<div class="col-md-4 <?php echo esc_attr($bizindustries_animation); ?>">
							<div class="count-down">
								<?php if(!empty($icon)) : ?>
									<i class="fa <?php echo esc_html($icon); ?>" aria-hidden="true"></i>
								<?php endif; ?>
								
								<?php if(!empty($number)) : ?>
									<h5><span class="counter"><?php echo esc_html($number); ?></span></h5>
								<?php endif; ?>
								
								<?php if(!empty($description)) : ?>
									<p><?php echo esc_html($description); ?></p>
								<?php endif; ?>
							</div>
						</div>
						<?php } ?>
					</div>
				</div>
				<?php endif; ?>
			</div>

			<div class="col-md-12 col-lg-6">
			<?php
			if($services) :
				?>
				<div class="intro-items">
					<div class="row">
					<?php
					foreach( $services as $service ){
						$icon         = ( isset( $service['icon'] ) && $service['icon'] ) ? $service['icon'] : '';
						$title        = ( isset( $service['title'] ) && $service['title'] ) ? $service['title'] : '';
						$description  = ( isset( $service['description'] ) && $service['description'] ) ? $service['description'] : '';
						$btn_text     = ( isset( $service['btn_text'] ) && $service['btn_text'] ) ? $service['btn_text'] : '';
						$btn_url      = ( isset( $service['link'] ) && $service['link'] ) ? $service['link'] : '';
						$btn_target   = ( isset( $service['checkbox'] ) && $service['checkbox']) ? '_blank' : '_self';
						?>
						<div class="col-md-6"> 
							<!-- Start Icon Box -->
							<div class="icon-box <?php echo esc_attr($bizindustries_animation); ?>">

								<?php if(!empty($icon)) : ?>
								<div class="icon-holder icon-bg icon-sm bounce-in br-3"> 
									<i class="fa <?php echo esc_html($icon); ?>" aria-hidden="true"></i>
								</div>
								<?php endif; ?>
								<?php if(!empty($btn_url)) : ?>
								<h6><a href="<?php echo esc_url($btn_url); ?>" target="<?php echo esc_attr( $btn_target ); ?>"><?php echo esc_html($title); ?></a></h6>
								<?php else: ?>
								<h6><?php echo esc_html($title); ?></h6>
								<?php endif; ?>

							
								<?php if(!empty($description)) : ?>
								<p><?php echo esc_html($description); ?></p>
								<?php endif; ?>

								<?php if(!empty($btn_url)) : ?>
								<a class="more-btn" href="<?php echo esc_url($btn_url); ?>" target="<?php echo esc_attr( $btn_target ); ?>"><?php echo esc_html($btn_text); ?></a>
								<?php endif; ?>
							</div>
							<!-- End Icon Box -->
						</div>
					<?php } ?>
					</div>
				</div>
			<?php
			endif; ?>
			</div>
		</div>
		<?php else : ?>
		<div class="row"> 
			<div class="col-md-12">
				<!-- Start Section Heading -->
				<div class="section-heading text-center <?php echo esc_attr($bizindustries_animation); ?>">

					<?php if(!empty($subheading)) : ?>
					<p class="sub-title"><?php echo esc_html($subheading); ?></p>
					<?php endif; ?>
					
					<?php if(!empty($heading)) : ?>
					<h2><?php echo wp_kses_post($heading); ?></h2>
					<?php endif; ?>

					<?php if(!empty($description)) : ?>
					<p><?php echo esc_html($description); ?></p>
					<?php endif; ?>

				</div>
				<!-- End Section Heading -->
			</div>
		</div>
		<div class="row">
			<?php
			foreach( $services as $service ){
				$icon         = ( isset( $service['icon'] ) && $service['icon'] ) ? $service['icon'] : '';
				$title        = ( isset( $service['title'] ) && $service['title'] ) ? $service['title'] : '';
				$description  = ( isset( $service['description'] ) && $service['description'] ) ? $service['description'] : '';
				$btn_text     = ( isset( $service['btn_text'] ) && $service['btn_text'] ) ? $service['btn_text'] : '';
				$btn_url      = ( isset( $service['link'] ) && $service['link'] ) ? $service['link'] : '';
				$btn_target   = ( isset( $service['checkbox'] ) && $service['checkbox']) ? '_blank' : '_self';
				?>
			<div class="col-sm-12 col-md-6 col-lg-4">
				<!-- Start Icon Box -->
				<div class="icon-box <?php echo esc_attr($bizindustries_animation); ?>">

					<?php if(!empty($icon)) : ?>
					<div class="icon-holder icon-bg icon-sm bounce-in br-3"> 
						<i class="fa <?php echo esc_html($icon); ?>" aria-hidden="true"></i>
					</div>
					<?php endif; ?>
					
					<?php if(!empty($btn_url)) : ?>
					<h6><a href="<?php echo esc_url($btn_url); ?>" target="<?php echo esc_attr( $btn_target ); ?>"><?php echo esc_html($title); ?></a></h6>
					<?php else: ?>
					<h6><?php echo esc_html($title); ?></h6>
					<?php endif; ?>

					<?php if(!empty($description)) : ?>
					<p><?php echo esc_html($description); ?></p>
					<?php endif; ?>

					<?php if(!empty($btn_url)) : ?>
					<a class="more-btn" href="<?php echo esc_url($btn_url); ?>" target="<?php echo esc_attr( $btn_target ); ?>"><?php echo esc_html($btn_text); ?></a>
					<?php endif; ?>
					
				</div>
				<!-- End Icon Box -->						
			</div>
			
			<?php } ?>
		</div>
		<?php endif; ?>
	</div>
</div>
<?php endif; ?>











