<?php
/**
 * Template part for displaying Slider Section on home page template
 *
 * @package Bizindustries
 */

$slider_enable         = get_theme_mod('slider_section_enable', false); 
$slider_text_alignment = get_theme_mod('slider_text_alignment');
$slides       = get_theme_mod('bizindustries_slides');
if($slider_enable) : 
?>
<div class="slider-area">
	<?php
	if($slides) : ?>
	<div id="hero-slider" class="slide-controls carousel-ctls owl-carousel">
	<?php
		foreach( $slides as $slide ){
			$image          = ( isset( $slide['image'] ) && $slide['image'] ) ? $slide['image'] : '';
			$title          = ( isset( $slide['title'] ) && $slide['title'] ) ? $slide['title'] : '';
			$subtitle       = ( isset( $slide['subtitle'] ) && $slide['subtitle'] ) ? $slide['subtitle'] : '';
			$description    = ( isset( $slide['description'] ) && $slide['description'] ) ? $slide['description'] : '';
			$btn_1_text       = ( isset( $slide['btn_1_text'] ) && $slide['btn_1_text'] ) ? $slide['btn_1_text'] : '';
			$btn_1_link        = ( isset( $slide['btn_1_link'] ) && $slide['btn_1_link'] ) ? $slide['btn_1_link'] : '';
			$btn_1_target     = ( isset( $slide['btn_1_target'] ) && $slide['btn_1_target']) ? '_blank' : '_self';
			$btn_2_text       = ( isset( $slide['btn_2_text'] ) && $slide['btn_2_text'] ) ? $slide['btn_2_text'] : '';
			$btn_2_link        = ( isset( $slide['btn_2_link'] ) && $slide['btn_2_link'] ) ? $slide['btn_2_link'] : '';
			$btn_2_target     = ( isset( $slide['btn_2_target'] ) && $slide['btn_2_target']) ? '_blank' : '_self';
			$image = wp_get_attachment_image_src($image, 'full'); 
			?>
			<div class="single-slide" style="background-image: url(<?php echo esc_url( $image[0] ); ?>);">
				<!-- Slider Gradient -->
				<div class="slider-gradient"></div>
				<div class="slide-wrap">
					<div class="container">
						<div class="row">
							<div class="col-sm-12 col-md-12 col-lg-12">
								<!-- Start slide content	-->
								<div class="slide-content <?php echo esc_attr($slider_text_alignment); ?>">

									<?php if(!empty($subtitle)) : ?>
									<h4><?php echo esc_html($subtitle); ?></h4>
									<?php endif; ?>
									
									<?php if(!empty($title)) : ?>
									<h2><?php echo esc_html($title); ?></h2>
									<?php endif; ?>

									<?php if(!empty($description)) : ?>
									<p><?php echo esc_html($description); ?></p>
									<?php endif; ?>

									<?php if(!empty($btn_1_link)) : ?>
									<a class="btn btn-bizin btn-lg" href="<?php echo esc_url($btn_1_link); ?>" target="<?php echo esc_attr( $btn_1_target ); ?>"><?php echo esc_html($btn_1_text); ?></a>
									<?php endif; ?>
									
									<?php if(!empty($btn_2_link)) : ?>
									<a class="btn btn-bizin-2 btn-lg" href="<?php echo esc_url($btn_2_link); ?>" target="<?php echo esc_attr( $btn_2_target ); ?>"><?php echo esc_html($btn_2_text); ?></a>
									<?php endif; ?>
									
								</div>
								<!-- End slide content	-->
							</div>
						</div>
					</div>
				</div>
			</div>
		<?php
		} ?>
	</div>
	<?php 
	endif; ?>
</div>
<?php endif; ?>
		